%global debug_package %{nil}
%global filename vivid-v%{version}-%{_target_cpu}-unknown-linux-gnu

Name: vivid
Summary: LS_COLORS manager with multiple themes
Version: 0.9.0
Release: 1%{?dist}
License: MIT or ASL 2.0

BuildRequires: cargo

URL: https://github.com/sharkdp/vivid
Source0: %{url}/archive/v%{version}/%{filename}.tar.gz

%description
vivid is a generator for the LS_COLORS environment variable that controls the
colorized output of ls, tree, fd, etc. It uses a YAML-based configuration
format for the filetype-database and the color themes. In contrast to 
dircolors, the database and the themes are organized in different files.
This allows users to choose and customize color themes independent from the
collection of file extensions. Instead of using (cryptic) ANSI escape codes,
colors can be specified in the RRGGBB format and will be translated to either
truecolor (24-bit) ANSI codes or 8-bit codes for older terminal emulators.

%prep
%autosetup
cargo fetch --locked --target "%{_target_cpu}-unknown-linux-gnu"

%build
cargo build --release --locked --offline

%install
install -D target/release/vivid %{buildroot}%{_bindir}/vivid

%files
%{_bindir}/vivid
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md

%changelog
* Fri May 26 2023 Matteo Micanti <matteo.micanti@gmail.com> - 0.9.0-1
- Initial version
